Python

Howto install Spyder 1.x on Mac OS X with 64bit Python

28. August 2010

As I searched my way through the Eric4 installation process, I thought, if I could Spyder 1.x get working on Mac OS X 10.6.
Spyder is another Python IDE with advanced editing, interactive testing, debugging and introspection features. Usecases include e.g. scientific computing thanks to NumPy (linear algebra), SciPy (signal and image processing), matplotlib (interactive 2D/3D plotting) and MayaVi’s mlab (interactive 3D visualization) support.

Since its build with PyQt and QScintilla, the install procedure is very similar to the one with Eric4.

mehr … »


Howto install Eric4 on Mac OS X with 64bit Python

28. August 2010

When Mac OS X 10.6 (Snow Leopard) was released, 64bit Python became the default on OS X, and the question arised, how to deal with it in regard to Eric4. My old HowTo was very well received, but it covers mostly 32bit installation and therefor caused some troubles.

So instead of steadily updating it, I decided to re-publish it with my current stand of knowledge together with some corrections.

Eric4 on Mac OS X 10.6 Snow Leopard

mehr … »


Installing Eric4 on Mac OS X (Snow Leopard)

3. Juli 2009

As I lately played a little bit with Python on Mac OS X 10.6 Snow Leopard I was looking for a decent IDE.

Unfortunately there are hardly native ones, not to say none. I tried Eclipse with PyDev (which is inbetween also part of Aptana), which works well, but since its an Java app, it’s somewhat sluggish and its look and feel slightly strange in an OS X environment. What I liked better, was Komodo IDE. Based on Mozillas XML Gui (Xul), it integrates at least somewhat better and proved itself as very responsive. However, its propriatery, not free and $295 would be a high price for my occassional use case. The free and now open source Komodo Edit would be an option, but it lacks some features, like an integrated debugger.

So I finally tried to get Eric4 working on  OS X. Its written in Python itself and uses PyQt4, a Python binding for the Qt4 crossplattform-gui-toolkit,  for its GUI. Unfortunately there are no One-Click-and-install builds for the Mac plattform available, so you have to build it yourself from source including all its dependencies. Ok, no problem you think, since there are some install guides available in the net (e.g. here and here), but all of them are missing some pieces or don’t work with current versions. So lets see,  how I did.
(Updated for Snow Leopard, 2010/01/26)

Update2: for an updated and 64bit centred HowTo look here .

mehr … »